Subject: Re: cygwin 1.3.10 mmap+fork+sockets=fixup_mmaps_after_fork
From: Michael Potter <[email-masked]>
To: [email-masked]
Date: Thu, 6 Jun 2002 09:38:58 -0500

We downloaded the latest snapshot (6/4) and it still fails on win2k.
We are running the win2k box as a terminal server.

It runs successfully on ME with the 6/4 snapshot and with the 1.3.10.

Would anyone be interested in the strace of the failure?

Corinna, what opsys are you using?

-- 
Michael Potter.

> Hi, I can verify that Corinna's observations are true on WindowsME
> with the latest cvs compiled cygwin. Cheers,
> 
> Nicholas
> 
> --- Corinna Vinschen <[email-masked]> wrote:
> > On Tue, Jun 04, 2002 at 03:08:12PM -0500, Michael Potter wrote:
> > > > On Mon, Jun 03, 2002 at 03:57:07PM -0500, Michael Potter wrote:
> > > > >
> > > > > Enclosed is a sample program that demonstrates a bug with
> > > > > mmap, fork, and sockets.  This sample is very similar to
> > > > > on submitted by me on june 2, but this one eliminiates sysV ipc.
> > > > >
> > > > > here is the sample run:
> > > >
> > > > Your example code works fine with Cygwin from current cvs HEAD.
> > > > So I assume the problem has been fixed.
> > > > Corinna
> > > >
> > >
> > > Corinna,
> > >
> > > We just tried the latest snap shot and the example fails.
> > >
> > > I want to confirm that you ran the sample properly.
> > >
> > > Did you do a "telnet hostname 5210" to allow the program to
> > > continue the the second fork, which fails?
> >
> > Yep:
> >
> > [~]$ ./x4
> > in pid = 760
> > entering NetWorkSocket
> > Port=5210, Socket=3, sinport=23060
> > exiting NetWorkSocket
> > entering accept
> > [~]$ after accept
> > in pid = 748
> > in pid = 608
> >
> > I tried it several times w/o problems.
> >
> > Corinna
> 

-- 
potter

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/